import { DataSourcePropertiesRequestedChangedEventArgs as DataSourcePropertiesRequestedChangedEventArgs_internal } from "./DataSourcePropertiesRequestedChangedEventArgs";
/**
 * Provides information about a properties requested changed event.
*/
export declare class IgcDataSourcePropertiesRequestedChangedEventArgs {
    protected createImplementation(): DataSourcePropertiesRequestedChangedEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DataSourcePropertiesRequestedChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
}
